Introducing Namo GIF Animator

Introduction to Namo GIF Animator

What is Namo GIF Animator?

Namo GIF Animator is a utility program included with Namo WebEditor that lets you create animated GIFs from sequences of still images.

What are animated GIFs?

An animated GIF is a sequence of still images that are displayed in succession. The amount of time between each still image, or frame, can be specified. If the interval is short, an illusion of motion is created, as in video. However, unlike true video file formats such as AVI, MPEG, or QuickTime, animated GIFs cannot contain sound tracks.

All the frames in an animated GIF are stored in a single GIF (Graphics Interchange Format) file. In general, any program (such as a Web browser) that can display still GIF images can also display animated GIFs. Since GIF images are fairly compact and virtually all Web browsers have built-in support for them, animated GIFs are a popular way to include moving pictures on Web pages. Animated GIFs are especially popular in advertisement banners, since an animated GIF can display more information than a still image in the same amount of space.

How do I use Namo GIF Animator to create an animated GIF?

The basic process of creating an animated GIF is as follows:

  1. Create a new animation file.
  2. Add still images.
  3. Arrange the still images (frames) in the desired order.
  4. Set properties for each frame, such as its delay and offset.
  5. Set options for the entire animation, such as the number of repetitions.
  6. Save the animation as a GIF file.

For more detailed instructions, see Creating an animated GIF.


Creating an animated GIF

To create a new animated GIF, follow the steps below.

  1. Select [File > New] or press <Ctrl + N>. This will open a new layout window.
  2. Insert still images into the animation. You can either drag and drop image files from Windows Explorer into the layout window, or select [Edit > Insert Frame] and use the Insert Frame dialog box.
  3. Repeat step 2 as necessary until all the still images to be included in the animation have been inserted.
  4. If necessary, rearrange the order of the still images (frames) by dragging them in the layout window. To delete a frame, select it and press <Delete>.
  5. Specify the duration of each frame. To specify the duration of a single frame, select it and enter its duration value in Delay time in the Frame tab of the Properties window. To specify the same duration for all frames, select all the frames ([Edit > Select All] or <Ctrl + A>) and enter a value in Delay time.
  6. Specify the settings for the animation, such as the whether the animation should repeat. In the Animation tab of the Properties window, select Repeat and enter the number of times to repeat the animation in Repetitions, or select Loop Forever to have the animation repeat continuously. You can also adjust the overall width and height of the animation, which by default are set equal to the width and height of the largest frame.
  7. To preview the animation, select [View > Preview] or press <F5>.
  8. To save the animated GIF, select [File > Save] or press <Ctrl + S>.


Insert Frame dialog box

[Edit > Insert Frame]

Lets you add GIF or BMP image files to be inserted into the current layout window.

Add

Lets you select an image file or files on your hard drive to be inserted as frames in the current animation. Files of type GIF and BMP are supported. The selected image files will be added to the list of files under Files to insert.

Remove

Removes the selected file(s) from the list of images to be inserted.

Move up

Moves the selected file(s) up in the Files to insert list.

Move down

Moves the selected file(s) down in the Files to insert list.

OK

Closes the Insert Frame dialog box and inserts the added images into the current animation.

Move down

Closes the Insert Frame dialog box without inserting the added images into the current animation.


Edit Palette dialog box

[Tools > Edit Palette...]

Lets you change any color in the selected frame(s) to another color.

To change a color:

  1. Select the color you wish to change by clicking it in either the image preview or the color palette.
  2. Click Change Color and then select the new color in the Color dialog box.
  3. Click OK to save the color change.

Zooming the image preview

Click Zoom In [image] to increase the magnification of the image preview.
Click Zoom Out [image] to decrease the magnification of the image preview.
Click 1:1 [image] to reset the magnification of the image preview to 100%.


Select Transparent Color dialog box

[Tools > Select Transparent Color]

Lets you make one color of the selected frame transparent.

To select a transparent color:

  1. Select the color to be made transparent by clicking the color in either the image preview or the color palette.
  2. Click OK.

Zooming the image preview

Click Zoom In [image] to increase the magnification of the image preview.
Click Zoom Out [image] to decrease the magnification of the image preview.
Click 1:1 [image] to reset the magnification of the image preview to 100%.


Properties window - Frame tab

[View > Animation Properties - Frame tab]

Lets you view or modify the properties of the selected frame(s).

Frame

Displays the number of the selected frame. You can use the drop-down menu to select a frame.

Width/Height

Shows the width and height of the selected frame.

Left margin/Top margin

Specifies the offset of the image in the selected frame(s) from the top left corner of the frame.

Transparent color

If this check box is selected, the color shown in the small box will be transparent. Click the box to change the transparent color.

Delay time

Specifies the duration of the selected frame(s) in hundredths of a second.

Tween

Specifies the method of replacing the previous frame with the selected frame when the animation is played. There are four choices:

    Undefined

    Select this option to leave the replacement method unspecified. Usually this has the same effect as Leave as is.

    Leave as is

    Leaves the preview frame as it is when drawing the selected frame. If the selected frame has a transparent color, the previous frame will show through the transparent areas.

    Background

    Removes the previous frame from view when drawing the selected frame.

    Previous frame

    Undos the selected frame to the previous frame. This option is rarely used.


Properties Window - Animation tab

[View > Animation Properties - Animation tab]

Let you view or modify the global properties of the current animation.

Width/Height

Specifies the width and height of the animation. By default, these are set to the width and height of the first image added to the animation.

Frame count

Displays the number of frames in the animation.

Options

Repeat

Select this option to have the animation repeat. Specify the number of repetitions in Repetitions, or select Loop forever to have the animation repeat continuously.

Loop forever

If Repeat is selected, specifies that the animation should repeat indefinitely.

Repetitions

If Repeat is selected, specifies the number of repetitions.


Preview dialog box

[View > Preview...]

Lets you preview the current animation.

Play

Plays the animation.

Stop

Stops the animation.

Rewind

Moves to the first frame of the animation.

Back

Moves to the previous frame of the animation.

Next

Moves to the next frame of the animation.

End

Moves to the last frame of the animation.


Menu

Menus

Click a menu title below to open the help file for that menu.

File

Edit

View

Tools

Window

Help


File menu

New

Opens a new, empty layout window in which you can create a new animation.

Open...

Opens an existing animated GIF file.

Save

Saves the current animated GIF.

Save As...

Saves the current animated GIF under a different filename or location.

Close

Closes the current animated GIF file.

Print...

Prints all the frames of the current animation.

Print Preview

Shows how the current animation will appear when printed.

Page Setup...

Lets you choose a printer, paper size, source tray, and print orientation.

Exit

Quits Namo GIF Animator.


Edit menu

Undo

Undoes the last action.

Redo

Redoes the last undone action.

Cut

Copies the selected frame(s) to the clipboard and removes them from the animation.

Copy

Copies the selected frame(s) to the clipboard.

Paste

Inserts the cut or copied frame(s) from the clipboard into the animation.

Delete

Deletes the selected frame(s).

Select All

Selects all the frames in the animation.

Move Frame Up

Moves the selected frame(s) toward the beginning of the animation sequence.

Move Frame Down

Moves the selected frame(s) toward the end of the animation sequence.

Insert Frame...

Opens the Insert Frame dialog box, allowing you to add GIF or BMP image files from your hard drive to be inserted into the animation.

Save Frame...

Saves the selected frame as GIF or BMP image files.


View menu

Toolbar

Shows or hides the toolbar.

Status Bar

Shows or hides the status bar at the bottom of the main window. The status bar displays information relevant to the current situation.

Animation Properties

Shows or hides the Animation and Frame Properties palette. This palette is located by default at the left side of the main window.

Hide Transparent Color

If this item is selected, colors in the animation that have been specified as transparent are shown as white in the layout window.

Preview

Opens the Animation Preview window, allowing you to preview the current animation.

Zoom In

Increases the magnification of the animation window.

Zoom Out

Decreases the magnification of the animation window.

Actual Pixels

Resets the magnifcation of the animation window to 100%.

Frame Arrangement

Sets the orientation of the animation window. Select Horizontal to arrange frames horizontally. Select Vertical to arrange frames vertically.


Tools menu

Edit Palette...

Allows you to change any color in the selected frame(s) to another color.

Edit Palette dialog box

Select Transparent Color...

Allows you to specify one color in the selected frame(s) to be transparent.

Select Transparent Color dialog box

Rotate

Rotates the selected frame(s) by 90, 180 or 270 degrees.

Flip

Flips the selected frame horizontally or vertically.

Crop Canvas

Allows you to crop all the frames in the animation. After selecting this menu item, use the mouse pointer on any frame to draw a box around the area you wish to keep. When you release the mouse button, all the frames will be cropped to the selected area.

Crop Image

Allows you to crop the image(s) in the selected frame(s). After selecting this menu item, use the mouse pointer on a selected frame to draw a box around the part of the image you wish to keep. When you release the mouse button, the images in all the selected frames will be cropped to the selected area.

Move Image

Allows you to reposition the image(s) in the selected frame(s). After selecting this menu item, use the mouse pointer to drag the image in a selected frame to a new location. When you release the mouse button, the images in all the selected frames will be repositioned.


Window menu

Cascade

Overlaps the layout windows. The current window is placed in front, and the other windows are placed behind the current window in the order in which they were last active.

Tile

Tiles the layout windows vertically with no overlapping. The current window is placed on top, and the other windows are placed under the current window in the order in which they were last active.

Arrange Icons

If any of the layout windows are minimized ("iconized"), arranges the minimized windows neatly at the bottom of the main window.


Help menu

Help...

Opens the Help window for Namo GIF Animator.

About Namo GIF Animator...

Displays version and copyright information for Namo GIF Animator.